SEQanswers

Go Back   SEQanswers > Bioinformatics > Bioinformatics



Similar Threads
Thread Thread Starter Forum Replies Last Post
install problem with R/bioconductor sanwen Bioinformatics 17 02-19-2015 04:56 AM
ERANGE and other packages for RNAseq analysis warrenemmett RNA Sequencing 9 07-02-2013 12:58 PM
unable to install 'pasilla' on R sridhar228 Bioinformatics 1 10-05-2011 10:30 PM
What is the difference between Cufflinks and other packages adrian Bioinformatics 2 04-10-2011 07:25 PM
Pathway Analysis packages for microArray BioSlayer Bioinformatics 6 07-27-2010 05:29 AM

Reply
 
Thread Tools
Old 12-09-2013, 01:27 AM   #1
gmpune
Junior Member
 
Location: India

Join Date: Dec 2013
Posts: 4
Default Unable to install Bioconductor packages with biocLite...

Hi,

I'm very new to R/Bioconductor. Presently I'm trying to fetch and install BioC packages using the biocLite route, but it's stumbling. Here's the error I get:

> source("http://bioconductor.org/biocLite.R")
Error in source("http://bioconductor.org/biocLite.R") :
http://bioconductor.org/biocLite.R:1:1: unexpected '<'
1: <
^

Could somebody please suggest a way out? I'm on Windows 7 and behind a proxy server (no username/pwd authentication required though).

Thanks a lot and good day!
gmpune is offline   Reply With Quote
Old 12-09-2013, 01:41 AM   #2
dpryan
Devon Ryan
 
Location: Freiburg, Germany

Join Date: Jul 2011
Posts: 3,480
Default

I wonder if your proxy is screwing things up. You can download that file, double check that it's not corrupted, and then try sourcing it directly. What version of R are you using (just post the output of sessionInfo() ).
dpryan is offline   Reply With Quote
Old 12-09-2013, 01:47 AM   #3
gmpune
Junior Member
 
Location: India

Join Date: Dec 2013
Posts: 4
Default

Thanks for replying, dpryan. But I'm not sure I understand you correctly. Which file are you referring to? btw I'm on R v3.0.1:

> sessionInfo()
R version 3.0.1 (2013-05-16)
Platform: i386-w64-mingw32/i386 (32-bit)

locale:
[1] LC_COLLATE=English_India.1252 LC_CTYPE=English_India.1252
[3] LC_MONETARY=English_India.1252 LC_NUMERIC=C
[5] LC_TIME=English_India.1252

attached base packages:
[1] stats graphics grDevices utils datasets methods base

Thanks again.
gmpune is offline   Reply With Quote
Old 12-09-2013, 02:37 AM   #4
dpryan
Devon Ryan
 
Location: Freiburg, Germany

Join Date: Jul 2011
Posts: 3,480
Default

The file I'm referring to is biocLite.R. You can just download it directly and double check it, since that's what's producing the error.
dpryan is offline   Reply With Quote
Old 12-09-2013, 07:48 PM   #5
gmpune
Junior Member
 
Location: India

Join Date: Dec 2013
Posts: 4
Default

I downloaded the biocLite.R file to a local folder and then tried running it directly. Seems like an html problem:

> biocLite("NOISeq")
Line starting '<HTML><HEAD> ...' is malformed!, using
'http://bioconductor.org/packages/2.12/bioc'
Error: Line starting '<HTML><HEAD> ...' is malformed!

Is there something obvious I'm missing?
Thanks.
gmpune is offline   Reply With Quote
Old 12-09-2013, 09:24 PM   #6
rxzlmn
Junior Member
 
Location: Singapore

Join Date: Nov 2013
Posts: 8
Default

whatever is being downloaded contains HTML tags, so it is not the correct file. do not use a browser and 'save page', rather download it directly, or open the document in the browser and copy out the text.
rxzlmn is offline   Reply With Quote
Old 12-10-2013, 12:14 AM   #7
gmpune
Junior Member
 
Location: India

Join Date: Dec 2013
Posts: 4
Default

Hi rxzlmn,

Actually that's what I did (so hard to understand the html tags...), I just opened the biocLite.R file in Firefox and then copy-pasted it into Notepad++.
gmpune is offline   Reply With Quote
Old 01-25-2014, 01:10 AM   #8
amitbik
Member
 
Location: Italy

Join Date: May 2013
Posts: 50
Default Error in updating biocLite() package

Hi There..

I have installed R version 3.0.2 when i am trying to update bioconducter packages i am geting following error

> source("http://bioconductor.org/biocLite.R")
Bioconductor version 2.13 (BiocInstaller 1.12.0), ?biocLite for help
> biocLite()
BioC_mirror: http://bioconductor.org
Using Bioconductor version 2.13 (BiocInstaller 1.12.0), R version 3.0.2.
Warning message:
installed directory not writable, cannot update packages 'foreign', 'spatial',
'survival'

I have change the installed directory permission also but still i am geting this error.
can anyone help to find out the error..

Thanks..
amitbik is offline   Reply With Quote
Old 01-26-2014, 10:03 PM   #9
rboettcher
Member
 
Location: Berlin

Join Date: Oct 2010
Posts: 71
Default

You can try to run R via sudo and see if the problems persist.
rboettcher is offline   Reply With Quote
Old 01-27-2014, 01:23 AM   #10
amitbik
Member
 
Location: Italy

Join Date: May 2013
Posts: 50
Default

Thanks... rboettcher

It worked for me..
amitbik is offline   Reply With Quote
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -8. The time now is 01:35 PM.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Single Sign On provided by vBSSO